#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent), ui(new Ui::MainWindowClass)
{
    ui->setupUi(this);
}

void MainWindow::on_pushButton_clicked()
{
//    ui->buttonGroup->setExclisive(false);
    QButtonGroup *bg = this->findChild<QButtonGroup *>();
    bg->setExclusive(false);
    QList<QAbstractButton *> btns = bg->buttons();//ui->buttonGroup->buttons();
    foreach(QAbstractButton *btn, btns)
    {
        QRadioButton *rbtn = qobject_cast<QRadioButton *>(btn);
        rbtn->setChecked(false);
    }
    bg->setExclusive(true);
}

MainWindow::~MainWindow()
{
    delete ui;
}
